(require 'mhtml-mode)

(setq mhtml--syntax-propertize
      (syntax-propertize-rules
       ("\\(%%\\)[-_.a-zA-Z0-9]+\\(%%\\)" (1 ".") (2 ".")) ;added by leo
       ("<style.*?>"
        (0 (ignore
            (goto-char (match-end 0))
            ;; Don't apply in a comment.
            (unless (syntax-ppss-context (syntax-ppss))
              (mhtml--syntax-propertize-submode mhtml--css-submode end)))))
       ("<script.*?>"
        (0 (ignore
            (goto-char (match-end 0))
            ;; Don't apply in a comment.
            (unless (syntax-ppss-context (syntax-ppss))
              (mhtml--syntax-propertize-submode mhtml--js-submode end)))))
       sgml-syntax-propertize-rules
       ))
